# Problem 6 - Lighthouses

def main():
    inFile = open("Prob6.in", "r")
    outFile = open("Prob6.out", "w")

    for line in inFile:
        n = int(line.rstrip('\n'))
        if n == 0:
            inFile.close()
            outFile.close()
            return
        else:
            # print peak of the lighthouse
            outFile.write(' '*(n-1) + '^\n')
            print ' '*(n-1) + '^'

            # print the rest of the roof
            midSpaceCount = 1
            for leadSpaceCount in range(n-2,0,-1):
                outFile.write(' '*leadSpaceCount + '/' + ' '*midSpaceCount + '\\\n')
                print ' '*leadSpaceCount + '/' + ' '*midSpaceCount + '\\'
                midSpaceCount += 2

            # print top of the tower
            outFile.write('X' + '-'*midSpaceCount + 'X\n')
            print 'X' + '-'*midSpaceCount + 'X'

            #print "body" of the tower
            outFile.write(('|' + ' '*midSpaceCount + '|\n')*midSpaceCount)
            print ('|' + ' '*midSpaceCount + '|\n')*midSpaceCount,

            # print bottom of the tower and blank line
            outFile.write('X' + '-'*midSpaceCount + 'X\n\n')
            print 'X' + '-'*midSpaceCount + 'X\n'

main()
